#ifndef __DNDCONST_H__
#define __DNDCONST_H__

/* ---------------------------------------------------------------------- *
 * Constant definitions
 * ---------------------------------------------------------------------- */

/* sizes */

#define szFINE                 (  1 )
#define szDIMINUTIVE           (  2 )
#define szTINY                 (  3 )
#define szSMALL                (  4 )
#define szMEDIUM               (  5 )
#define szLARGE                (  6 )
#define szHUGE                 (  7 )
#define szGARGANTUAN           (  8 )
#define szCOLOSSAL             (  9 )

/* community types */

#define ttANY                  (  0 )
#define ttTHORP                (  1 )
#define ttHAMLET               (  2 )
#define ttVILLAGE              (  3 )
#define ttSMALLTOWN            (  4 )
#define ttLARGETOWN            (  5 )
#define ttSMALLCITY            (  6 )
#define ttLARGECITY            (  7 )
#define ttMETROPOLIS           (  8 )

/* community authority types */

#define caCONSTABLE            (  1 )
#define caCAPTAINOFTHEGUARD    (  2 )
#define caSHERIFF              (  3 )

/* community power center types */

#define pcCONVENTIONAL         (  1 )
#define pcNONSTANDARD          (  2 )
#define pcMAGICAL              (  3 )
#define pcMONSTROUS            (  4 )

/* alignments */

#define alLAWFUL               ( 0x0001 )
#define alCHAOTIC              ( 0x0002 )
#define alLCNEUTRAL            ( 0x0004 )
#define alGOOD                 ( 0x0008 )
#define alEVIL                 ( 0x0010 )
#define alGENEUTRAL            ( 0x0020 )

/* character class types */

#define cctPLAYER              (  1 )
#define cctPRESTIGE            (  2 )
#define cctNONPLAYER           (  3 )

/* pc character classes */

#define pcBARBARIAN            (  1 )
#define pcBARD                 (  2 )
#define pcCLERIC               (  3 )
#define pcDRUID                (  4 )
#define pcFIGHTER              (  5 )
#define pcMONK                 (  6 )
#define pcPALADIN              (  7 )
#define pcRANGER               (  8 )
#define pcROGUE                (  9 )
#define pcSORCERER             ( 10 )
#define pcWIZARD               ( 11 )

/* prestige classes */

#define prcARCANEARCHER			( 31 )
#define prcARCANETRICKSTER		( 32 )
#define prcARCHMAGE				( 33 )
#define prcASSASSIN				( 34 )
#define prcBLACKGUARD			( 35 )
#define prcDRAGONDISCIPLE		( 36 )
#define prcDUELIST				( 37 )
#define prcDWARVENDEFENDER		( 38 )
#define prcELDRITCHKNIGHT		( 39 )
#define prcHIEROPHANT			( 40 )
#define prcHORIZONWALKER		( 41 )
#define prcLOREMASTER			( 42 )
#define prcMYSTICTHEURGE		( 43 )
#define prcSHADOWDANCER			( 44 )
#define prcTHAUMATURGIST		( 45 )

/* npc character classes */

#define npcADEPT               ( 61 )
#define npcARISTOCRAT          ( 62 )
#define npcCOMMONER            ( 63 )
#define npcEXPERT              ( 64 )
#define npcWARRIOR             ( 65 )

/* gender types */

#define gNONE                  (  0 )
#define gANY                   (  0 )
#define gMALE                  (  1 )
#define gFEMALE                (  2 )

/* races */

#define rcHUMAN                (  1 )
#define rcHALFLING_LIGHTFOOT   (  2 )
#define rcELF_HIGH             (  3 )
#define rcDWARF_HILL           (  4 )
#define rcGNOME_ROCK           (  5 )
#define rcHALFELF              (  6 )
#define rcHALFORC              (  7 )
#define rcAASIMAR              (  8 )
#define rcDWARF_DEEP           (  9 )
#define rcDWARF_MOUNTAIN       ( 10 )
#define rcELF_GRAY             ( 11 )
#define rcELF_WILD             ( 12 )
#define rcELF_WOOD             ( 13 )
#define rcGNOME_FOREST         ( 14 )
#define rcHALFLING_DEEP        ( 15 )
#define rcHALFLING_TALLFELLOW  ( 16 )
#define rcGNOME_SVIRFNEBLIN    ( 17 )
#define rcLIZARDFOLK           ( 18 )
#define rcDOPPLEGANGER         ( 19 )
#define rcGOBLIN               ( 20 )
#define rcHOBGOBLIN            ( 21 )
#define rcKOBOLD               ( 22 )
#define rcORC                  ( 23 )
#define rcTIEFLING             ( 24 )
#define rcELF_DROW             ( 25 )
#define rcDWARF_DUERGAR        ( 26 )
#define rcDWARF_DERRO          ( 27 )
#define rcGNOLL                ( 28 )
#define rcTROGLODYTE           ( 29 )
#define rcBUGBEAR              ( 30 )
#define rcOGRE                 ( 31 )
#define rcMINOTAUR             ( 32 )
#define rcMINDFLAYER           ( 33 )
#define rcOGREMAGE             ( 34 )
#define rcARANEA               ( 35 )
#define rcAZER                 ( 36 )
#define rcCENTAUR              ( 37 )
#define rcDRIDER               ( 38 )
#define rcETTIN                ( 39 )
#define rcGIANT_HILL           ( 40 )
#define rcGIANT_STONE          ( 41 )
#define rcGIANT_FROST          ( 42 )
#define rcGIANT_FIRE           ( 43 )
#define rcGIANT_CLOUD          ( 44 )
#define rcGIANT_STORM          ( 45 )
#define rcGRIMLOCK             ( 46 )
#define rcHAG_SEA              ( 47 )
#define rcHAG_ANNIS            ( 48 )
#define rcHAG_GREEN            ( 49 )
#define rcHARPY                ( 50 )
#define rcKUOTOA               ( 51 )
#define rcLOCATHAH             ( 52 )
#define rcMEDUSA               ( 53 )
#define rcMERFOLK              ( 54 )
#define rcSAHUAGIN             ( 55 )
#define rcTROLL                ( 56 )
#define rcYUANTI_PUREBLOOD     ( 57 )
#define rcYUANTI_HALFBLOOD     ( 58 )
#define rcYUANTI_ABOMINATION   ( 59 )
#define rcELF_AQUATIC          ( 60 )

/* races defined in Sword & Sorcery's "Creature Collection" */

#define rcCC_ABANDONED          ( 501 )
#define rcCC_ASAATH             ( 502 )
#define rcCC_BATDEVIL           ( 503 )
#define rcCC_PLAGUEWRETCH       ( 504 )
#define rcCC_CHARDUNI           ( 505 )
#define rcCC_COALGOBLIN         ( 506 )
#define rcCC_DWARF_FORSAKEN     ( 507 )
#define rcCC_ELF_FORSAKEN       ( 508 )
#define rcCC_ICE_GHOUL          ( 509 )
#define rcCC_MANTICORA          ( 510 )
#define rcCC_MORGAUNT           ( 511 )
#define rcCC_PROUD              ( 512 )
#define rcCC_RATMAN             ( 513 )
#define rcCC_RATMAN_BROWNGORGER ( 514 )
#define rcCC_RATMAN_DISEASED    ( 515 )
#define rcCC_RATMAN_FOAMER      ( 516 )
#define rcCC_RATMAN_REDWITCH    ( 517 )
#define rcCC_SKINDEVIL          ( 518 )
#define rcCC_SPIDEREYEGOBLIN    ( 519 )
#define rcCC_STEPPETROLL        ( 520 )
#define rcCC_STRIFEELEMENTAL    ( 521 )
#define rcCC_TOKALTRIBESMAN     ( 522 )
#define rcCC_UBANTUTRIBESMAN    ( 523 )

/* racial templates */

#define rctNONE                (  0 )
#define rctHALFCELESTIAL       (  1 )
#define rctHALFDRAGON          (  2 )
#define rctWEREBEAR            (  3 )
#define rctWEREBOAR            (  4 )
#define rctWERETIGER           (  5 )
#define rctWERERAT             (  6 )
#define rctWEREWOLF            (  7 )
#define rctHALFFIEND           (  8 )

/* abilities */

#define abNONE                ( 0 )
#define abSTRENGTH            ( 1 )
#define abDEXTERITY           ( 2 )
#define abCONSTITUTION        ( 3 )
#define abINTELLIGENCE        ( 4 )
#define abWISDOM              ( 5 )
#define abCHARISMA            ( 6 )

/* skills */

#define skAPPRAISE									( 1 )
#define skBALANCE									( 2 )
#define skBLUFF										( 3 )
#define skCLIMB										( 4 )
#define skCONCENTRATION								( 5 )
#define skCRAFT_ALCHEMY								( 6 )
#define skCRAFT_ARMORSMITHING						( 7 )
#define skCRAFT_BOWMAKING							( 8 )
#define skCRAFT_BLACKSMITHING						( 9 )
#define skCRAFT_CARPENTRY							( 10 )
#define skCRAFT_LEATHERWORKING						( 11 )
#define skCRAFT_PAINTING							( 12 )
#define skCRAFT_POTTERY								( 13 )
#define skCRAFT_SCULPTING							( 14 )
#define skCRAFT_SHIPMAKING							( 15 )
#define skCRAFT_STONEMASONRY						( 16 )
#define skCRAFT_TRAPMAKING							( 17 )
#define skCRAFT_WEAPONSMITHING						( 18 )
#define skCRAFT_WOODWORKING							( 19 )
#define skDECIPHERSCRIPT							( 20 )
#define skDIPLOMACY									( 21 )
#define skDISABLEDEVICE								( 22 )
#define skDISGUISE									( 23 )
#define skESCAPEARTIST								( 24 )
#define skFORGERY									( 25 )
#define skGATHERINFORMATION							( 26 )
#define skHANDLEANIMAL								( 27 )
#define skHEAL										( 28 )
#define skHIDE										( 29 )
#define skINTIMIDATE								( 30 )
#define skJUMP										( 31 )
#define skKNOWLEDGE_ARCANA							( 32 )
#define skKNOWLEDGE_ARCHITECTUREANDENGINEERING		( 33 )
#define skKNOWLEDGE_DUNGEONEERING					( 34 )
#define skKNOWLEDGE_GEOGRAPHY						( 35 )
#define skKNOWLEDGE_HISTORY							( 36 )
#define skKNOWLEDGE_LOCAL							( 37 )
#define skKNOWLEDGE_NATURE							( 38 )
#define skKNOWLEDGE_NOBILITYANDROYALTY				( 39 )
#define skKNOWLEDGE_RELIGION						( 40 )
#define skKNOWLEDGE_THEPLANES						( 41 )
#define skLISTEN									( 42 )
#define skMOVESILENTLY								( 43 )
#define skOPENLOCK									( 44 )
#define skPERFORM_ACT								( 45 )
#define skPERFORM_COMEDY							( 46 )
#define skPERFORM_DANCE								( 47 )
#define skPERFORM_KEYBOARDINSTRUMENTS				( 48 )
#define skPERFORM_ORATORY							( 49 )
#define skPERFORM_PERCUSSIONINSTRUMENTS				( 50 )
#define skPERFORM_STRINGINSTRUMENTS					( 51 )
#define skPERFORM_WINDINSTRUMENTS					( 52 )
#define skPERFORM_SING								( 53 )
#define skPROFESSION_HUNTER							( 54 )
#define skPROFESSION_MINER							( 55 )
#define skRIDE										( 56 )
#define skSEARCH									( 57 )
#define skSENSEMOTIVE								( 58 )
#define skSLEIGHTOFHAND								( 59 )
#define	skSPEAKLANGUAGE								( 60 )
#define skSPELLCRAFT								( 61 )
#define skSPOT										( 62 )
#define skSURVIVAL									( 63 )
#define skSWIM										( 64 )
#define skTUMBLE									( 65 )
#define skUSEMAGICDEVICE							( 66 )
#define skUSEROPE									( 67 )

/* skill types */

#define sktCLASS               (  1 )
#define sktCROSSCLASS          (  2 )
//#define sktEXCLUSIVE           (  3 )

/* feats */

#define ftABILITYFOCUS			( 1 )
#define ftACROBATIC			( 2 )
#define ftAGILE			( 3 )
#define ftALERTNESS			( 4 )
#define ftANIMALAFFINITY			( 5 )
#define ftARMORPROFICIENCY_HEAVY			( 6 )
#define ftARMORPROFICIENCY_LIGHT			( 7 )
#define ftARMORPROFICIENCY_MEDIUM			( 8 )
#define ftATHLETIC			( 9 )
#define ftAUGMENTSUMMONING			( 10 )
#define ftAWESOMEBLOW			( 11 )
#define ftBLINDFIGHT			( 12 )
#define ftBREWPOTION			( 13 )
#define ftCLEAVE			( 14 )
#define ftCOMBATCASTING			( 15 )
#define ftCOMBATEXPERTISE			( 16 )
#define ftCOMBATREFLEXES			( 17 )
#define ftCRAFTCONSTRUCT			( 18 )
#define ftCRAFTMAGICARMSANDARMOR			( 19 )
#define ftCRAFTROD			( 20 )
#define ftCRAFTSTAFF			( 21 )
#define ftCRAFTWAND			( 22 )
#define ftCRAFTWONDROUSITEM			( 23 )
#define ftDECEITFUL			( 24 )
#define ftDEFLECTARROWS			( 25 )
#define ftDEFTHANDS			( 26 )
#define ftDIEHARD			( 27 )
#define ftDILIGENT			( 28 )
#define ftDODGE			( 29 )
#define ftEMPOWERSPELL			( 30 )
#define ftEMPOWERSPELLLIKEABILITY			( 31 )
#define ftENDURANCE			( 32 )
#define ftENLARGESPELL			( 33 )
#define ftESCHEWMATERIALS			( 34 )
#define ftEXOTICWEAPONPROFICIENCY			( 35 )
#define ftEXTENDSPELL			( 36 )
#define ftEXTRATURNING			( 37 )
#define ftFARSHOT			( 38 )
#define ftFLYBYATTACK			( 39 )
#define ftFORGERING			( 40 )
#define ftGREATCLEAVE			( 41 )
#define ftGREATERSPELLFOCUS			( 42 )
#define ftGREATERSPELLPENETRATION			( 43 )
#define ftGREATERTWOWEAPONFIGHTING			( 44 )
#define ftGREATERWEAPONFOCUS			( 45 )
#define ftGREATERWEAPONSPECIALIZATION			( 46 )
#define ftGREATFORTITUDE			( 47 )
#define ftHEIGHTENSPELL			( 48 )
#define ftHOVER			( 49 )
#define ftIMPROVEDBULLRUSH			( 50 )
#define ftIMPROVEDCOUNTERSPELL			( 51 )
#define ftIMPROVEDCRITICAL			( 52 )
#define ftIMPROVEDDISARM			( 53 )
#define ftIMPROVEDFAMILIAR			( 54 )
#define ftIMPROVEDFEINT			( 55 )
#define ftIMPROVEDGRAPPLE			( 56 )
#define ftIMPROVEDINITIATIVE			( 57 )
#define ftIMPROVEDNATURALARMOR			( 58 )
#define ftIMPROVEDNATURALATTACK			( 59 )
#define ftIMPROVEDOVERRUN			( 60 )
#define ftIMPROVEDPRECISESHOT			( 61 )
#define ftIMPROVEDSHIELDBASH			( 62 )
#define ftIMPROVEDSUNDER			( 63 )
#define ftIMPROVEDTRIP			( 64 )
#define ftIMPROVEDTURNING			( 65 )
#define ftIMPROVEDTWOWEAPONFIGHTING			( 66 )
#define ftIMPROVEDUNARMEDSTRIKE			( 67 )
#define ftINVESTIGATOR			( 68 )
#define ftIRONWILL			( 69 )
#define ftLEADERSHIP			( 70 )
#define ftLIGHTNINGREFLEXES			( 71 )
#define ftMAGICALAPTITUDE			( 72 )
#define ftMANYSHOT			( 73 )
#define ftMARTIALWEAPONPROFICIENCY			( 74 )
#define ftMAXIMIZESPELL			( 75 )
#define ftMOBILITY			( 76 )
#define ftMOUNTEDARCHERY			( 77 )
#define ftMOUNTEDCOMBAT			( 78 )
#define ftMULTIATTACK			( 79 )
#define ftMULTIWEAPONFIGHTING			( 80 )
#define ftNATURALSPELL			( 81 )
#define ftNEGOTIATOR			( 82 )
#define ftNIMBLEFINGERS			( 83 )
#define ftPERSUASIVE			( 84 )
#define ftPOINTBLANKSHOT			( 85 )
#define ftPOWERATTACK			( 86 )
#define ftPRECISESHOT			( 87 )
#define ftQUICKDRAW			( 88 )
#define ftQUICKENSPELL			( 89 )
#define ftQUICKENSPELLLIKEABILITY			( 90 )
#define ftRANGERARCHERY			( 91 )
#define ftRANGERGREATERARCHERY			( 92 )
#define ftRANGERGREATERTWOWEAPONFIGHTING			( 93 )
#define ftRANGERIMPROVEDARCHERY			( 94 )
#define ftRANGERIMPROVEDTWOWEAPONFIGHTING			( 95 )
#define ftRANGERTWOWEAPONFIGHTING			( 96 )
#define ftRAPIDRELOAD			( 97 )
#define ftRAPIDSHOT			( 98 )
#define ftRIDEBYATTACK			( 99 )
#define ftRUN			( 100 )
#define ftSCRIBESCROLL			( 101 )
#define ftSELFSUFFICIENT			( 102 )
#define ftSHIELDPROFICIENCY			( 103 )
#define ftSHOTONTHERUN			( 104 )
#define ftSILENTSPELL			( 105 )
#define ftSIMPLEWEAPONPROFICIENCY			( 106 )
#define ftSKILLFOCUS			( 107 )
#define ftSNATCH			( 108 )
#define ftSNATCHARROWS			( 109 )
#define ftSPELLFOCUS			( 110 )
#define ftSPELLMASTERY			( 111 )
#define ftSPELLPENETRATION			( 112 )
#define ftSPIRITEDCHARGE			( 113 )
#define ftSPRINGATTACK			( 114 )
#define ftSTEALTHY			( 115 )
#define ftSTILLSPELL			( 116 )
#define ftSTUNNINGFIST			( 117 )
#define ftTOUGHNESS			( 118 )
#define ftTOWERSHIELDPROFICIENCY			( 119 )
#define ftTRACK			( 120 )
#define ftTRAMPLE			( 121 )
#define ftTWOWEAPONDEFENSE			( 122 )
#define ftTWOWEAPONFIGHTING			( 123 )
#define ftWEAPONFINESSE			( 124 )
#define ftWEAPONFOCUS			( 125 )
#define ftWEAPONSPECIALIZATION			( 126 )
#define ftWHIRLWINDATTACK			( 127 )
#define ftWIDENSPELL			( 128 )
#define ftWINGOVER			( 129 )
#define ftEVASION			( 130 )
#define ftIMPROVEDEVASION			( 131 )

/* feat types */

#define fttGENERAL                  (  1 )
#define fttITEMCREATION             (  2 )
#define fttMETAMAGIC                (  3 )
#define fttSPECIAL                  (  4 )

/* feat pre-requisite types */

#define fprMINIMUMABILITYSCORE      (  1 )
#define fprFEAT                     (  2 )
#define fprMINIMUMBASEATTACKBONUS   (  3 )
#define fprMINIMUMCHARACTERLEVEL    (  4 )
#define fprSKILL                    (  5 )
#define fprPROFICIENTWITHWEAPON     (  6 )
#define fprMINIMUMSPELLCASTERLEVEL  (  7 )
#define fprCLERICORPALADIN          (  8 )
#define fprWIZARD                   (  9 )
#define fprMINIMUMFIGHTERLEVEL      ( 10 )
#define fprMINIMUMDRUIDLEVEL		( 11 )
#define fprMINIMUMRANGERLEVEL		( 12 )
#define fprMAXIMUMRANGERLEVEL		( 13 )
#define fprEXACTRANGERLEVEL			( 14 )

/* weapon types */

#define wtSLASHING     ( 0x0001 )
#define wtBLUDGEONING  ( 0x0002 )
#define wtPIERCING     ( 0x0004 )
#define wtSIMPLE       ( 0x0008 )
#define wtMARTIAL      ( 0x0010 )
#define wtEXOTIC       ( 0x0020 )
#define wtMELEE        ( 0x0040 )
#define wtRANGED       ( 0x0080 )
#define wtLIGHT        ( 0x0100 )
#define wtONEHANDED    ( 0x0200 )
#define wtTWOHANDED    ( 0x0400 )
#define wtCROSSBOW	   ( 0x0800 )

/* weapons */

#define wpGAUNTLET                 (  1 )
#define wpUNARMED                  (  2 )
#define wpDAGGER                   (  4 )
#define wpDAGGER_PUNCHING          (  5 )
#define wpGAUNTLET_SPIKED          (  6 )
#define wpMACE_LIGHT               (  7 )
#define wpSICKLE                   (  8 )
#define wpCLUB                     (  9 )
#define wpHALFSPEAR                ( 10 )
#define wpMACE_HEAVY               ( 11 )
#define wpMORNINGSTAR              ( 12 )
#define wpQUARTERSTAFF             ( 13 )
#define wpSHORTSPEAR               ( 14 )
#define wpCROSSBOW_LIGHT           ( 15 )
#define wpDART                     ( 16 )
#define wpSLING                    ( 17 )
#define wpCROSSBOW_HEAVY           ( 18 )
#define wpJAVELIN                  ( 19 )
#define wpAXE_THROWING             ( 20 )
#define wpHAMMER_LIGHT             ( 21 )
#define wpHANDAXE                  ( 22 )
#define wpLANCE_LIGHT              ( 23 )
#define wpPICK_LIGHT               ( 24 )
#define wpSAP                      ( 25 )
#define wpSWORD_SHORT              ( 26 )
#define wpBATTLEAXE                ( 27 )
#define wpFLAIL_LIGHT              ( 28 )
#define wpLANCE_HEAVY              ( 29 )
#define wpLONGSWORD                ( 30 )
#define wpPICK_HEAVY               ( 31 )
#define wpRAPIER                   ( 32 )
#define wpSCIMITAR                 ( 33 )
#define wpTRIDENT                  ( 34 )
#define wpWARHAMMER                ( 35 )
#define wpFALCHION                 ( 36 )
#define wpFLAIL_HEAVY              ( 37 )
#define wpGLAIVE                   ( 38 )
#define wpGREATAXE                 ( 39 )
#define wpGREATCLUB                ( 40 )
#define wpGREATSWORD               ( 41 )
#define wpGUISARME                 ( 42 )
#define wpHALBERD                  ( 43 )
#define wpLONGSPEAR                ( 44 )
#define wpRANSEUR                  ( 45 )
#define wpSCYTHE                   ( 46 )
#define wpSHORTBOW                 ( 47 )
#define wpSHORTBOW_COMPOSITE       ( 48 )
#define wpLONGBOW                  ( 49 )
#define wpLONGBOW_COMPOSITE        ( 50 )
#define wpKUKRI                    ( 51 )
#define wpKAMA                     ( 52 )
#define wpNUNCHAKU                 ( 53 )
#define wpSIANGHAM                 ( 54 )
#define wpSWORD_BASTARD            ( 55 )
#define wpWARAXE_DWARVEN           ( 56 )
#define wpHAMMER_GNOMEHOOKED       ( 57 )
#define wpAXE_ORCDOUBLE            ( 58 )
#define wpCHAIN_SPIKED             ( 59 )
#define wpFLAIL_DIRE               ( 60 )
#define wpSWORD_TWOBLADED          ( 61 )
#define wpURGOSH_DWARVEN           ( 62 )
#define wpCROSSBOW_HAND            ( 63 )
#define wpSHURIKEN                 ( 64 )
#define wpWHIP                     ( 65 )
#define wpCROSSBOW_REPEATING       ( 66 )
#define wpNET                      ( 67 )

/* schools of magic */

#define ssUNIVERSAL                ( 0x0001 )
#define ssABJURATION               ( 0x0002 )
#define ssCONJURATION              ( 0x0004 )
#define ssDIVINATION               ( 0x0008 )
#define ssENCHANTMENT              ( 0x0010 )
#define ssEVOCATION                ( 0x0020 )
#define ssILLUSION                 ( 0x0040 )
#define ssNECROMANCY               ( 0x0080 )
#define ssTRANSMUTATION            ( 0x0100 )

/* spells */

#define spACIDARROW		(   1 )
#define spACIDFOG		(   2 )
#define spACIDSPLASH		(   3 )
#define spAID		(   4 )
#define spAIRWALK		(   5 )
#define spALARM		(   6 )
#define spALIGNWEAPON		(   7 )
#define spALTERSELF		(   8 )
#define spANALYZEDWEOMER		(   9 )
#define spANIMALGROWTH		(   10 )
#define spANIMALMESSENGER		(   11 )
#define spANIMALSHAPES		(   12 )
#define spANIMALTRANCE		(   13 )
#define spANIMATEDEAD		(   14 )
#define spANIMATEOBJECTS		(   15 )
#define spANIMATEPLANTS		(   16 )
#define spANIMATEROPE		(   17 )
#define spANTILIFESHELL		(   18 )
#define spANTIMAGICFIELD		(   19 )
#define spANTIPATHY		(   20 )
#define spANTIPLANTSHELL		(   21 )
#define spARCANEEYE		(   22 )
#define spARCANELOCK		(   23 )
#define spARCANEMARK		(   24 )
#define spARCANESIGHT		(   25 )
#define spARCANESIGHTGREATER		(   26 )
#define spASTRALPROJECTION		(   27 )
#define spATONEMENT		(   28 )
#define spAUGURY		(   29 )
#define spAWAKEN		(   30 )
#define spBALEFULPOLYMORPH		(   31 )
#define spBANE		(   32 )
#define spBANISHMENT		(   33 )
#define spBARKSKIN		(   34 )
#define spBEARSENDURANCE		(   35 )
#define spBEARSENDURANCEMASS		(   36 )
#define spBESTOWCURSE		(   37 )
#define spBINDING		(   38 )
#define spBLACKTENTACLES		(   39 )
#define spBLADEBARRIER		(   40 )
#define spBLASPHEMY		(   41 )
#define spBLESS		(   42 )
#define spBLESSWATER		(   43 )
#define spBLESSWEAPON		(   44 )
#define spBLIGHT		(   45 )
#define spBLINDNESSDEAFNESS		(   46 )
#define spBLINK		(   47 )
#define spBLUR		(   48 )
#define spBREAKENCHANTMENT		(   49 )
#define spBULLSSTRENGTH		(   50 )
#define spBULLSSTRENGTHMASS		(   51 )
#define spBURNINGHANDS		(   52 )
#define spCALLLIGHTNING		(   53 )
#define spCALLLIGHTNINGSTORM		(   54 )
#define spCALMANIMALS		(   55 )
#define spCALMEMOTIONS		(   56 )
#define spCATSGRACE		(   57 )
#define spCATSGRACEMASS		(   58 )
#define spCAUSEFEAR		(   59 )
#define spCHAINLIGHTNING		(   60 )
#define spCHANGESTAFF		(   61 )
#define spCHAOSHAMMER		(   62 )
#define spCHARMANIMAL		(   63 )
#define spCHARMMONSTER		(   64 )
#define spCHARMMONSTERMASS		(   65 )
#define spCHARMPERSON		(   66 )
#define spCHILLMETAL		(   67 )
#define spCHILLTOUCH		(   68 )
#define spCIRCLEOFDEATH		(   69 )
#define spCLAIRAUDIENCECLAIRVOYANCE		(   70 )
#define spCLENCHEDFIST		(   71 )
#define spCLOAKOFCHAOS		(   72 )
#define spCLONE		(   73 )
#define spCLOUDKILL		(   74 )
#define spCOLORSPRAY		(   75 )
#define spCOMMAND		(   76 )
#define spCOMMANDGREATER		(   77 )
#define spCOMMANDPLANTS		(   78 )
#define spCOMMANDUNDEAD		(   79 )
#define spCOMMUNE		(   80 )
#define spCOMMUNEWITHNATURE		(   81 )
#define spCOMPREHENDLANGUAGES		(   82 )
#define spCONEOFCOLD		(   83 )
#define spCONFUSION		(   84 )
#define spCONFUSIONLESSER		(   85 )
#define spCONSECRATE		(   86 )
#define spCONTACTOTHERPLANE		(   87 )
#define spCONTAGION		(   88 )
#define spCONTINGENCY		(   89 )
#define spCONTINUALFLAME		(   90 )
#define spCONTROLPLANTS		(   91 )
#define spCONTROLUNDEAD		(   92 )
#define spCONTROLWATER		(   93 )
#define spCONTROLWEATHER		(   94 )
#define spCONTROLWINDS		(   95 )
#define spCREATEFOODANDWATER		(   96 )
#define spCREATEGREATERUNDEAD		(   97 )
#define spCREATEUNDEAD		(   98 )
#define spCREATEWATER		(   99 )
#define spCREEPINGDOOM		(   100 )
#define spCRUSHINGDESPAIR		(   101 )
#define spCRUSHINGHAND		(   102 )
#define spCURECRITICALWOUNDS		(   103 )
#define spCURECRITICALWOUNDSMASS		(   104 )
#define spCURELIGHTWOUNDS		(   105 )
#define spCURELIGHTWOUNDSMASS		(   106 )
#define spCUREMINORWOUNDS		(   107 )
#define spCUREMODERATEWOUNDS		(   108 )
#define spCUREMODERATEWOUNDSMASS		(   109 )
#define spCURESERIOUSWOUNDS		(   110 )
#define spCURESERIOUSWOUNDSMASS		(   111 )
#define spCURSEWATER		(   112 )
#define spDANCINGLIGHTS		(   113 )
#define spDARKNESS		(   114 )
#define spDARKVISION		(   115 )
#define spDAYLIGHT		(   116 )
#define spDAZE		(   117 )
#define spDAZEMONSTER		(   118 )
#define spDEATHKNELL		(   119 )
#define spDEATHWARD		(   120 )
#define spDEATHWATCH		(   121 )
#define spDEEPSLUMBER		(   122 )
#define spDEEPERDARKNESS		(   123 )
#define spDELAYPOISON		(   124 )
#define spDELAYEDBLASTFIREBALL		(   125 )
#define spDEMAND		(   126 )
#define spDESECRATE		(   127 )
#define spDESTRUCTION		(   128 )
#define spDETECTANIMALSORPLANTS		(   129 )
#define spDETECTCHAOS		(   130 )
#define spDETECTEVIL		(   131 )
#define spDETECTGOOD		(   132 )
#define spDETECTLAW		(   133 )
#define spDETECTMAGIC		(   134 )
#define spDETECTPOISON		(   135 )
#define spDETECTSCRYING		(   136 )
#define spDETECTSECRETDOORS		(   137 )
#define spDETECTSNARESANDPITS		(   138 )
#define spDETECTTHOUGHTS		(   139 )
#define spDETECTUNDEAD		(   140 )
#define spDICTUM		(   141 )
#define spDIMENSIONDOOR		(   142 )
#define spDIMENSIONALANCHOR		(   143 )
#define spDIMENSIONALLOCK		(   144 )
#define spDIMINISHPLANTS		(   145 )
#define spDISCERNLIES		(   146 )
#define spDISCERNLOCATION		(   147 )
#define spDISGUISESELF		(   148 )
#define spDISINTEGRATE		(   149 )
#define spDISMISSAL		(   150 )
#define spDISPELCHAOS		(   151 )
#define spDISPELEVIL		(   152 )
#define spDISPELGOOD		(   153 )
#define spDISPELLAW		(   154 )
#define spDISPELMAGIC		(   155 )
#define spDISPELMAGICGREATER		(   156 )
#define spDISPLACEMENT		(   157 )
#define spDISRUPTUNDEAD		(   158 )
#define spDISRUPTINGWEAPON		(   159 )
#define spDIVINATION		(   160 )
#define spDIVINEFAVOR		(   161 )
#define spDIVINEPOWER		(   162 )
#define spDOMINATEANIMAL		(   163 )
#define spDOMINATEMONSTER		(   164 )
#define spDOMINATEPERSON		(   165 )
#define spDOOM		(   166 )
#define spDREAM		(   167 )
#define spEAGLESSPLENDOR		(   168 )
#define spEAGLESSPLENDORMASS		(   169 )
#define spEARTHQUAKE		(   170 )
#define spELEMENTALSWARM		(   171 )
#define spENDUREELEMENTS		(   172 )
#define spENERGYDRAIN		(   173 )
#define spENERVATION		(   174 )
#define spENLARGEPERSON		(   175 )
#define spENLARGEPERSONMASS		(   176 )
#define spENTANGLE		(   177 )
#define spENTHRALL		(   178 )
#define spENTROPICSHIELD		(   179 )
#define spERASE		(   180 )
#define spETHEREALJAUNT		(   181 )
#define spETHEREALNESS		(   182 )
#define spEXPEDITIOUSRETREAT		(   183 )
#define spEXPLOSIVERUNES		(   184 )
#define spEYEBITE		(   185 )
#define spFABRICATE		(   186 )
#define spFAERIEFIRE		(   187 )
#define spFALSELIFE		(   188 )
#define spFALSEVISION		(   189 )
#define spFEAR		(   190 )
#define spFEATHERFALL		(   191 )
#define spFEEBLEMIND		(   192 )
#define spFINDTRAPS		(   193 )
#define spFINDTHEPATH		(   194 )
#define spFINGEROFDEATH		(   195 )
#define spFIRESEEDS		(   196 )
#define spFIRESHIELD		(   197 )
#define spFIRESTORM		(   198 )
#define spFIRETRAP		(   199 )
#define spFIREBALL		(   200 )
#define spFLAMEARROW		(   201 )
#define spFLAMEBLADE		(   202 )
#define spFLAMESTRIKE		(   203 )
#define spFLAMINGSPHERE		(   204 )
#define spFLARE		(   205 )
#define spFLESHTOSTONE		(   206 )
#define spFLOATINGDISK		(   207 )
#define spFLY		(   208 )
#define spFOGCLOUD		(   209 )
#define spFORBIDDANCE		(   210 )
#define spFORCECAGE		(   211 )
#define spFORCEFULHAND		(   212 )
#define spFORESIGHT		(   213 )
#define spFOXSCUNNING		(   214 )
#define spFOXSCUNNINGMASS		(   215 )
#define spFREEDOM		(   216 )
#define spFREEDOMOFMOVEMENT		(   217 )
#define spFREEZINGSPHERE		(   218 )
#define spGASEOUSFORM		(   219 )
#define spGATE		(   220 )
#define spGEASLESSER		(   221 )
#define spGEASQUEST		(   222 )
#define spGENTLEREPOSE		(   223 )
#define spGHOSTSOUND		(   224 )
#define spGHOULTOUCH		(   225 )
#define spGIANTVERMIN		(   226 )
#define spGLIBNESS		(   227 )
#define spGLITTERDUST		(   228 )
#define spGLOBEOFINVULNERABILITY		(   229 )
#define spGLOBEOFINVULNERABILITYLESSER		(   230 )
#define spGLYPHOFWARDING		(   231 )
#define spGLYPHOFWARDINGGREATER		(   232 )
#define spGOODHOPE		(   233 )
#define spGOODBERRY		(   234 )
#define spGRASPINGHAND		(   235 )
#define spGREASE		(   236 )
#define spGUARDSANDWARDS		(   237 )
#define spGUIDANCE		(   238 )
#define spGUSTOFWIND		(   239 )
#define spHALLOW		(   240 )
#define spHALLUCINATORYTERRAIN		(   241 )
#define spHALTUNDEAD		(   242 )
#define spHARM		(   243 )
#define spHASTE		(   244 )
#define spHEAL		(   245 )
#define spHEALMASS		(   246 )
#define spHEALMOUNT		(   247 )
#define spHEATMETAL		(   248 )
#define spHELPINGHAND		(   249 )
#define spHEROESFEAST		(   250 )
#define spHEROISM		(   251 )
#define spHEROISMGREATER		(   252 )
#define spHIDEFROMANIMALS		(   253 )
#define spHIDEFROMUNDEAD		(   254 )
#define spHIDEOUSLAUGHTER		(   255 )
#define spHOLDANIMAL		(   256 )
#define spHOLDMONSTER		(   257 )
#define spHOLDMONSTERMASS		(   258 )
#define spHOLDPERSON		(   259 )
#define spHOLDPERSONMASS		(   260 )
#define spHOLDPORTAL		(   261 )
#define spHOLYAURA		(   262 )
#define spHOLYSMITE		(   263 )
#define spHOLYSWORD		(   264 )
#define spHOLYWORD		(   265 )
#define spHORRIDWILTING		(   266 )
#define spHYPNOTICPATTERN		(   267 )
#define spHYPNOTISM		(   268 )
#define spICESTORM		(   269 )
#define spIDENTIFY		(   270 )
#define spILLUSORYSCRIPT		(   271 )
#define spILLUSORYWALL		(   272 )
#define spIMBUEWITHSPELLABILITY		(   273 )
#define spIMPLOSION		(   274 )
#define spIMPRISONMENT		(   275 )
#define spINCENDIARYCLOUD		(   276 )
#define spINFLICTCRITICALWOUNDS		(   277 )
#define spINFLICTCRITICALWOUNDSMASS		(   278 )
#define spINFLICTLIGHTWOUNDS		(   279 )
#define spINFLICTLIGHTWOUNDSMASS		(   280 )
#define spINFLICTMINORWOUNDS		(   281 )
#define spINFLICTMODERATEWOUNDS		(   282 )
#define spINFLICTMODERATEWOUNDSMASS		(   283 )
#define spINFLICTSERIOUSWOUNDS		(   284 )
#define spINFLICTSERIOUSWOUNDSMASS		(   285 )
#define spINSANITY		(   286 )
#define spINSECTPLAGUE		(   287 )
#define spINSTANTSUMMONS		(   288 )
#define spINTERPOSINGHAND		(   289 )
#define spINVISIBILITY		(   290 )
#define spINVISIBILITYGREATER		(   291 )
#define spINVISIBILITYMASS		(   292 )
#define spINVISIBILITYPURGE		(   293 )
#define spINVISIBILITYSPHERE		(   294 )
#define spIRONBODY		(   295 )
#define spIRONWOOD		(   296 )
#define spIRRESISTIBLEDANCE		(   297 )
#define spJUMP		(   298 )
#define spKEENEDGE		(   299 )
#define spKNOCK		(   300 )
#define spKNOWDIRECTION		(   301 )
#define spLEGENDLORE		(   302 )
#define spLEVITATE		(   303 )
#define spLIGHT		(   304 )
#define spLIGHTNINGBOLT		(   305 )
#define spLIMITEDWISH		(   306 )
#define spLIVEOAK		(   307 )
#define spLOCATECREATURE		(   308 )
#define spLOCATEOBJECT		(   309 )
#define spLONGSTRIDER		(   310 )
#define spLULLABY		(   311 )
#define spMAGEARMOR		(   312 )
#define spMAGEHAND		(   313 )
#define spMAGESDISJUNCTION		(   314 )
#define spMAGESFAITHFULHOUND		(   315 )
#define spMAGESLUCUBRATION		(   316 )
#define spMAGESMAGNIFICENTMANSION		(   317 )
#define spMAGESPRIVATESANCTUM		(   318 )
#define spMAGESSWORD		(   319 )
#define spMAGICAURA		(   320 )
#define spMAGICCIRCLEAGAINSTCHAOS		(   321 )
#define spMAGICCIRCLEAGAINSTEVIL		(   322 )
#define spMAGICCIRCLEAGAINSTGOOD		(   323 )
#define spMAGICCIRCLEAGAINSTLAW		(   324 )
#define spMAGICFANG		(   325 )
#define spMAGICFANGGREATER		(   326 )
#define spMAGICJAR		(   327 )
#define spMAGICMISSILE		(   328 )
#define spMAGICMOUTH		(   329 )
#define spMAGICSTONE		(   330 )
#define spMAGICVESTMENT		(   331 )
#define spMAGICWEAPON		(   332 )
#define spMAGICWEAPONGREATER		(   333 )
#define spMAJORCREATION		(   334 )
#define spMAJORIMAGE		(   335 )
#define spMAKEWHOLE		(   336 )
#define spMARKOFJUSTICE		(   337 )
#define spMAZE		(   338 )
#define spMELDINTOSTONE		(   339 )
#define spMENDING		(   340 )
#define spMESSAGE		(   341 )
#define spMETEORSWARM		(   342 )
#define spMINDBLANK		(   343 )
#define spMINDFOG		(   344 )
#define spMINORCREATION		(   345 )
#define spMINORIMAGE		(   346 )
#define spMIRACLE		(   347 )
#define spMIRAGEARCANA		(   348 )
#define spMIRRORIMAGE		(   349 )
#define spMISDIRECTION		(   350 )
#define spMISLEAD		(   351 )
#define spMNEMONICENHANCER		(   352 )
#define spMODIFYMEMORY		(   353 )
#define spMOMENTOFPRESCIENCE		(   354 )
#define spMOUNT		(   355 )
#define spMOVEEARTH		(   356 )
#define spNEUTRALIZEPOISON		(   357 )
#define spNIGHTMARE		(   358 )
#define spNONDETECTION		(   359 )
#define spOBSCUREOBJECT		(   360 )
#define spOBSCURINGMIST		(   361 )
#define spOPENCLOSE		(   362 )
#define spORDERSWRATH		(   363 )
#define spOVERLANDFLIGHT		(   364 )
#define spOWLSWISDOM		(   365 )
#define spOWLSWISDOMMASS		(   366 )
#define spPASSWITHOUTTRACE		(   367 )
#define spPASSWALL		(   368 )
#define spPERMANENCY		(   369 )
#define spPERMANENTIMAGE		(   370 )
#define spPERSISTENTIMAGE		(   371 )
#define spPHANTASMALKILLER		(   372 )
#define spPHANTOMSTEED		(   373 )
#define spPHANTOMTRAP		(   374 )
#define spPHASEDOOR		(   375 )
#define spPLANARALLY		(   376 )
#define spPLANARALLYGREATER		(   377 )
#define spPLANARALLYLESSER		(   378 )
#define spPLANARBINDING		(   379 )
#define spPLANARBINDINGGREATER		(   380 )
#define spPLANARBINDINGLESSER		(   381 )
#define spPLANESHIFT		(   382 )
#define spPLANTGROWTH		(   383 )
#define spPOISON		(   384 )
#define spPOLARRAY		(   385 )
#define spPOLYMORPH		(   386 )
#define spPOLYMORPHANYOBJECT		(   387 )
#define spPOWERWORDBLIND		(   388 )
#define spPOWERWORDKILL		(   389 )
#define spPOWERWORDSTUN		(   390 )
#define spPRAYER		(   391 )
#define spPRESTIDIGITATION		(   392 )
#define spPRISMATICSPHERE		(   393 )
#define spPRISMATICSPRAY		(   394 )
#define spPRISMATICWALL		(   395 )
#define spPRODUCEFLAME		(   396 )
#define spPROGRAMMEDIMAGE		(   397 )
#define spPROJECTIMAGE		(   398 )
#define spPROTECTIONFROMARROWS		(   399 )
#define spPROTECTIONFROMCHAOS		(   400 )
#define spPROTECTIONFROMENERGY		(   401 )
#define spPROTECTIONFROMEVIL		(   402 )
#define spPROTECTIONFROMGOOD		(   403 )
#define spPROTECTIONFROMLAW		(   404 )
#define spPROTECTIONFROMSPELLS		(   405 )
#define spPRYINGEYES		(   406 )
#define spPRYINGEYESGREATER		(   407 )
#define spPURIFYFOODANDDRINK		(   408 )
#define spPYROTECHNICS		(   409 )
#define spQUENCH		(   410 )
#define spRAGE		(   411 )
#define spRAINBOWPATTERN		(   412 )
#define spRAISEDEAD		(   413 )
#define spRAYOFENFEEBLEMENT		(   414 )
#define spRAYOFEXHAUSTION		(   415 )
#define spRAYOFFROST		(   416 )
#define spREADMAGIC		(   417 )
#define spREDUCEANIMAL		(   418 )
#define spREDUCEPERSON		(   419 )
#define spREDUCEPERSONMASS		(   420 )
#define spREFUGE		(   421 )
#define spREGENERATE		(   422 )
#define spREINCARNATE		(   423 )
#define spREMOVEBLINDNESSDEAFNESS		(   424 )
#define spREMOVECURSE		(   425 )
#define spREMOVEDISEASE		(   426 )
#define spREMOVEFEAR		(   427 )
#define spREMOVEPARALYSIS		(   428 )
#define spREPELMETALORSTONE		(   429 )
#define spREPELVERMIN		(   430 )
#define spREPELWOOD		(   431 )
#define spREPULSION		(   432 )
#define spRESILIENTSPHERE		(   433 )
#define spRESISTENERGY		(   434 )
#define spRESISTANCE		(   435 )
#define spRESTORATION		(   436 )
#define spRESTORATIONGREATER		(   437 )
#define spRESTORATIONLESSER		(   438 )
#define spRESURRECTION		(   439 )
#define spREVERSEGRAVITY		(   440 )
#define spRIGHTEOUSMIGHT		(   441 )
#define spROPETRICK		(   442 )
#define spRUSTINGGRASP		(   443 )
#define spSANCTUARY		(   444 )
#define spSCARE		(   445 )
#define spSCINTILLATINGPATTERN		(   446 )
#define spSCORCHINGRAY		(   447 )
#define spSCREEN		(   448 )
#define spSCRYING		(   449 )
#define spSCRYINGGREATER		(   450 )
#define spSCULPTSOUND		(   451 )
#define spSEARINGLIGHT		(   452 )
#define spSECRETCHEST		(   453 )
#define spSECRETPAGE		(   454 )
#define spSECURESHELTER		(   455 )
#define spSEEINVISIBILITY		(   456 )
#define spSEEMING		(   457 )
#define spSENDING		(   458 )
#define spSEPIASNAKESIGIL		(   459 )
#define spSEQUESTER		(   460 )
#define spSHADES		(   461 )
#define spSHADOWCONJURATION		(   462 )
#define spSHADOWCONJURATIONGREATER		(   463 )
#define spSHADOWEVOCATION		(   464 )
#define spSHADOWEVOCATIONGREATER		(   465 )
#define spSHADOWWALK		(   466 )
#define spSHAMBLER		(   467 )
#define spSHAPECHANGE		(   468 )
#define spSHATTER		(   469 )
#define spSHIELD		(   470 )
#define spSHIELDOTHER		(   471 )
#define spSHIELDOFFAITH		(   472 )
#define spSHIELDOFLAW		(   473 )
#define spSHILLELAGH		(   474 )
#define spSHOCKINGGRASP		(   475 )
#define spSHOUT		(   476 )
#define spSHOUTGREATER		(   477 )
#define spSHRINKITEM		(   478 )
#define spSILENCE		(   479 )
#define spSILENTIMAGE		(   480 )
#define spSIMULACRUM		(   481 )
#define spSLAYLIVING		(   482 )
#define spSLEEP		(   483 )
#define spSLEETSTORM		(   484 )
#define spSLOW		(   485 )
#define spSNARE		(   486 )
#define spSOFTENEARTHANDSTONE		(   487 )
#define spSOLIDFOG		(   488 )
#define spSONGOFDISCORD		(   489 )
#define spSOULBIND		(   490 )
#define spSOUNDBURST		(   491 )
#define spSPEAKWITHANIMALS		(   492 )
#define spSPEAKWITHDEAD		(   493 )
#define spSPEAKWITHPLANTS		(   494 )
#define spSPECTRALHAND		(   495 )
#define spSPELLIMMUNITY		(   496 )
#define spSPELLIMMUNITYGREATER		(   497 )
#define spSPELLRESISTANCE		(   498 )
#define spSPELLTURNING		(   499 )
#define spSPELLSTAFF		(   500 )
#define spSPIDERCLIMB		(   501 )
#define spSPIKEGROWTH		(   502 )
#define spSPIKESTONES		(   503 )
#define spSPIRITUALWEAPON		(   504 )
#define spSTATUE		(   505 )
#define spSTATUS		(   506 )
#define spSTINKINGCLOUD		(   507 )
#define spSTONESHAPE		(   508 )
#define spSTONETELL		(   509 )
#define spSTONETOFLESH		(   510 )
#define spSTONESKIN		(   511 )
#define spSTORMOFVENGEANCE		(   512 )
#define spSUGGESTION		(   513 )
#define spSUGGESTIONMASS		(   514 )
#define spSUMMONINSTRUMENT		(   515 )
#define spSUMMONMONSTERI		(   516 )
#define spSUMMONMONSTERII		(   517 )
#define spSUMMONMONSTERIII		(   518 )
#define spSUMMONMONSTERIV		(   519 )
#define spSUMMONMONSTERIX		(   520 )
#define spSUMMONMONSTERV		(   521 )
#define spSUMMONMONSTERVI		(   522 )
#define spSUMMONMONSTERVII		(   523 )
#define spSUMMONMONSTERVIII		(   524 )
#define spSUMMONNATURESALLYI		(   525 )
#define spSUMMONNATURESALLYII		(   526 )
#define spSUMMONNATURESALLYIII		(   527 )
#define spSUMMONNATURESALLYIV		(   528 )
#define spSUMMONNATURESALLYIX		(   529 )
#define spSUMMONNATURESALLYV		(   530 )
#define spSUMMONNATURESALLYVI		(   531 )
#define spSUMMONNATURESALLYVII		(   532 )
#define spSUMMONNATURESALLYVIII		(   533 )
#define spSUMMONSWARM		(   534 )
#define spSUNBEAM		(   535 )
#define spSUNBURST		(   536 )
#define spSYMBOLOFDEATH		(   537 )
#define spSYMBOLOFFEAR		(   538 )
#define spSYMBOLOFINSANITY		(   539 )
#define spSYMBOLOFPAIN		(   540 )
#define spSYMBOLOFPERSUASION		(   541 )
#define spSYMBOLOFSLEEP		(   542 )
#define spSYMBOLOFSTUNNING		(   543 )
#define spSYMBOLOFWEAKNESS		(   544 )
#define spSYMPATHETICVIBRATION		(   545 )
#define spSYMPATHY		(   546 )
#define spTELEKINESIS		(   547 )
#define spTELEKINETICSPHERE		(   548 )
#define spTELEPATHICBOND		(   549 )
#define spTELEPORT		(   550 )
#define spTELEPORTGREATER		(   551 )
#define spTELEPORTOBJECT		(   552 )
#define spTELEPORTATIONCIRCLE		(   553 )
#define spTEMPORALSTASIS		(   554 )
#define spTIMESTOP		(   555 )
#define spTINYHUT		(   556 )
#define spTONGUES		(   557 )
#define spTOUCHOFFATIGUE		(   558 )
#define spTOUCHOFIDIOCY		(   559 )
#define spTRANSFORMATION		(   560 )
#define spTRANSMUTEMETALTOWOOD		(   561 )
#define spTRANSMUTEMUDTOROCK		(   562 )
#define spTRANSMUTEROCKTOMUD		(   563 )
#define spTRANSPORTVIAPLANTS		(   564 )
#define spTRAPTHESOUL		(   565 )
#define spTREESHAPE		(   566 )
#define spTREESTRIDE		(   567 )
#define spTRUERESURRECTION		(   568 )
#define spTRUESEEING		(   569 )
#define spTRUESTRIKE		(   570 )
#define spUNDEATHTODEATH		(   571 )
#define spUNDETECTABLEALIGNMENT		(   572 )
#define spUNHALLOW		(   573 )
#define spUNHOLYAURA		(   574 )
#define spUNHOLYBLIGHT		(   575 )
#define spUNSEENSERVANT		(   576 )
#define spVAMPIRICTOUCH		(   577 )
#define spVEIL		(   578 )
#define spVENTRILOQUISM		(   579 )
#define spVIRTUE		(   580 )
#define spVISION		(   581 )
#define spWAILOFTHEBANSHEE		(   582 )
#define spWALLOFFIRE		(   583 )
#define spWALLOFFORCE		(   584 )
#define spWALLOFICE		(   585 )
#define spWALLOFIRON		(   586 )
#define spWALLOFSTONE		(   587 )
#define spWALLOFTHORNS		(   588 )
#define spWARPWOOD		(   589 )
#define spWATERBREATHING		(   590 )
#define spWATERWALK		(   591 )
#define spWAVESOFEXHAUSTION		(   592 )
#define spWAVESOFFATIGUE		(   593 )
#define spWEB		(   594 )
#define spWEIRD		(   595 )
#define spWHIRLWIND		(   596 )
#define spWHISPERINGWIND		(   597 )
#define spWINDWALK		(   598 )
#define spWINDWALL		(   599 )
#define spWISH		(   600 )
#define spWOODSHAPE		(   601 )
#define spWORDOFCHAOS		(   602 )
#define spWORDOFRECALL		(   603 )
#define spZONEOFSILENCE		(   604 )
#define spZONEOFTRUTH		(   605 )

/* domains */

#define dmAIR                     ( 257 )
#define dmANIMAL                  ( 258 )
#define dmCHAOS                   ( 259 )
#define dmDEATH                   ( 260 )
#define dmDESTRUCTION             ( 261 )
#define dmEARTH                   ( 262 )
#define dmEVIL                    ( 263 )
#define dmFIRE                    ( 264 )
#define dmGOOD                    ( 265 )
#define dmHEALING                 ( 266 )
#define dmKNOWLEDGE               ( 267 )
#define dmLAW                     ( 268 )
#define dmLUCK                    ( 269 )
#define dmMAGIC                   ( 270 )
#define dmPLANT                   ( 271 )
#define dmPROTECTION              ( 272 )
#define dmSTRENGTH                ( 273 )
#define dmSUN                     ( 274 )
#define dmTRAVEL                  ( 275 )
#define dmTRICKERY                ( 276 )
#define dmWAR                     ( 277 )
#define dmWATER                   ( 278 )

/* armor types */

#define atLIGHT                   (  1 )
#define atMEDIUM                  (  2 )
#define atHEAVY                   (  3 )
#define atSHIELD                  (  4 )

/* armors */

#define arPADDED                  (  1 )
#define arLEATHER                 (  2 )
#define arSTUDDEDLEATHER          (  3 )
#define arCHAINSHIRT              (  4 )
#define arHIDE                    (  5 )
#define arSCALEMAIL               (  6 )
#define arCHAINMAIL               (  7 )
#define arBREASTPLATE             (  8 )
#define arSPLINTMAIL              (  9 )
#define arBANDEDMAIL              ( 10 )
#define arHALFPLATE               ( 11 )
#define arFULLPLATE               ( 12 )
#define arBUCKLER                 ( 13 )
#define arSHIELD_SMALL_WOODEN     ( 14 )
#define arSHIELD_SMALL_STEEL      ( 15 )
#define arSHIELD_LARGE_WOODEN     ( 16 )
#define arSHIELD_LARGE_STEEL      ( 17 )
#define arSHIELD_TOWER            ( 18 )

/* racial bonus types -- the race grants a bonus to the given item */

#define rbtSKILL                  (  1 )
#define rbtSAVINGTHROW            (  2 )
#define rbtABILITYSCORE           (  3 )
#define rbtATTACK                 (  4 )
#define rbtARMORCLASS             (  5 )
#define rbtFEAT                   (  6 )

/* saving throw types */

#define svFORTITUDE           (  1 )
#define svREFLEX              (  2 )
#define svWILL                (  3 )

/* languages */

#define lnABYSSAL             (  1 )
#define lnAQUAN               (  2 )
#define lnAURAN               (  3 )
#define lnCELESTIAL           (  4 )
#define lnCOMMON              (  5 )
#define lnDRACONIC            (  6 )
#define lnDRUIDIC             (  7 )
#define lnDWARVEN             (  8 )
#define lnELVEN               (  9 )
#define lnGNOME               ( 10 )
#define lnGOBLIN              ( 11 )
#define lnGIANT               ( 12 )
#define lnGNOLL               ( 13 )
#define lnHALFLING            ( 14 )
#define lnIGNAN               ( 15 )
#define lnINFERNAL            ( 16 )
#define lnORC                 ( 17 )
#define lnSYLVAN              ( 18 )
#define lnTERRAN              ( 19 )
#define lnUNDERCOMMON         ( 20 )

/* monster types */

#define mtABERRATION          (  1 )
#define mtBEAST               (  2 )
#define mtCONSTRUCT           (  3 )
#define mtDRAGON              (  4 )
#define mtELEMENTAL           (  5 )
#define mtFEY                 (  6 )
#define mtGIANT               (  7 )
#define mtHUMANOID            (  8 )
#define mtMAGICALBEAST        (  9 )
#define mtMONSTROUSHUMANOID   ( 10 )
#define mtOOZE                ( 11 )
#define mtOUTSIDER            ( 12 )
#define mtPLANT               ( 13 )
#define mtSHAPECHANGER        ( 14 )
#define mtUNDEAD              ( 15 )
#define mtVERMIN              ( 16 )

/* encounter roles */

#define erCRITTER             (  1 )
#define erDRAGON              (  2 )
#define erFIEND               (  3 )
#define erFRIEND              (  4 )
#define erNPC                 (  5 )
#define erTERROR              (  6 )
#define erTOUGH               (  7 )
#define erUNDEAD              (  8 )

#endif /* __DNDCONST_H__ */
